{% sw_extends '@Storefront/storefront/layout/footer/footer.html.twig' %}

{% block layout_footer_inner_container %}
    {% block layout_footer_navigation %}
        <div class="container">
            <div id="footerColumns"
                class="row footer-columns">
                {% block layout_footer_navigation_hotline %}
                <div class="col-12 col-sm-6 col-md-3 footer-column">
                    {% block layout_footer_navigation_hotline_headline %}
                        <div class="footer-column-headline footer-headline">
                            {{ "footer.contactHeadline"|trans|striptags }}
                        </div>
                    {% endblock %}

                    {% block layout_footer_navigation_hotline_content %}
                        <div class="footer-column-content footer-contact">
                            <div class="footer-column-content-inner">
                                <p class="footer-contact-hotline">
                                    {{ "footer.contactText"|trans|raw }}
                                </p>
                            </div>
                            <div class="footer-contact-form">
                                <p>
                                    {{ "footer.formText"|trans|raw }}
                                </p>
                            </div>
                        </div>
                    {% endblock %}
                </div>
            {% endblock %}
                {% block layout_footer_navigation_columns %}
                    {% for root in page.footer.navigation.tree %}
                        {% block layout_footer_navigation_column %}
                            <div class="col-12 col-sm-6 col-md-3 footer-column">
                                {% block layout_footer_navigation_information_headline %}
                                    <div class="footer-column-headline footer-headline">
                                        {{ root.category.translated.name }}
                                    </div>
                                {% endblock %}

                                {% block layout_footer_navigation_information_content %}
                                    <div class="footer-column-content">
                                        <div class="footer-column-content-inner">
                                            {% block layout_footer_navigation_information_links %}
                                                <ul class="list-unstyled">
                                                    {% for treeItem in root.children %}
                                                        {% set category = treeItem.category %}
                                                        {% set name = category.translated.name %}
                                                        {% set externalLink = category.translated.externalLink %}
                                                        {% block layout_footer_navigation_information_link_item %}
                                                            <li class="footer-link-item">
                                                                {% block layout_footer_navigation_information_link %}
                                                                    <a class="footer-link"
                                                                        href="{% if externalLink %}{{ externalLink }}{% else %}{{ seoUrl('frontend.navigation.page', { navigationId: category.id }) }}{% endif %}"
                                                                        title="{{ name }}">
                                                                        {{ name }}
                                                                    </a>
                                                                {% endblock %}
                                                            </li>
                                                        {% endblock %}
                                                    {% endfor %}
                                                </ul>
                                            {% endblock %}
                                        </div>
                                    </div>
                                {% endblock %}
                            </div>
                        {% endblock %}
                    {% endfor %}

                    <div class="col-12 col-sm-6 col-md-3 d-flex flex-column-reverse d-md-block footer-column social-column">
                        <div>
                            <div class="footer-column-headline footer-headline">
                                {{ "footer.socialHeadline"|trans|striptags }}
                            </div>

                            <div class="row mx-0 footer-social-icons-container">
                                <a href="{{ "socialMedia.facebookLink"|trans|sw_sanitize }}" 
                                    title="{{ "socialMedia.facebookTitle"|trans|sw_sanitize }}" 
                                    class="col-auto footer-social-link">
                                    {% sw_icon 'facebook' style { 'pack': 'ds' } %}
                                </a>
    
                                <a href="{{ "socialMedia.instagramLink"|trans|sw_sanitize }}" 
                                    title="{{ "socialMedia.instagramTitle"|trans|sw_sanitize }}" 
                                    class="col-auto footer-social-link">
                                    {% sw_icon 'instagram' style { 'pack': 'ds' } %}
                                </a>
    
                                <a href="{{ "socialMedia.twitterLink"|trans|sw_sanitize }}" 
                                    title="{{ "socialMedia.twitterTitle"|trans|sw_sanitize }}" 
                                    class="col-auto footer-social-link">
                                    {% sw_icon 'twitter' style { 'pack': 'ds' } %}
                                </a>
                            </div>
                        </div>

                        <div class="mb-2">
                            <div class="footer-column-headline footer-headline">
                                {{ "footer.certifiedHeadline"|trans|striptags }}
                            </div>
                            
                            <div class="row mx-0">
                                <span class="col-auto footer-social-link pl-0 social-link-two">
                                    {% sw_icon 'biooo' style { 'pack': 'ds' } %}
                                </span>
        
                                <span class="col-auto footer-social-link ">
                                    {% sw_icon 'organic' style { 'pack': 'ds' } %}
                                </span>
                            </div>
                        </div>
                      
                        <div>
                            <div class="footer-column-headline footer-headline">
                                {{ "footer.secureShoppingHeadline"|trans|striptags }}
                            </div>
    
                            <div class="row mx-0">
                                <span class="col-auto footer-social-link pl-0 ">
                                    {% sw_icon 'ssl' style { 'pack': 'ds' } %}
                                </span>
                            </div>
                        </div>
                    </div>
                {% endblock %}
            </div>
        </div>
    {% endblock %}
    
    {% block layout_footer_payment_shipping_logos %}
        <div class="footer-logos d-flex flex-column">
            <div class="d-flex mb-4">
                {% block layout_footer_payment_logos %}
                    {% for paymentMethod in page.salesChannelPaymentMethods %}
                        {% block layout_footer_payment_logo %}
                            {% if paymentMethod.media %}
                                <div class="footer-logo is-payment">
                                    {% sw_thumbnails 'footer-payment-image-thumbnails' with {
                                        media: paymentMethod.media,
                                        sizes: {
                                            'default': '100px'
                                        },
                                        attributes: {
                                            'class': 'img-fluid footer-logo-image',
                                            'alt': (paymentMethod.media.translated.alt ?: paymentMethod.translated.name),
                                            'title': (paymentMethod.media.translated.title ?: paymentMethod.translated.name)
                                        }
                                    } %}
                                </div>
                            {% endif %}
                        {% endblock %}
                    {% endfor %}
                {% endblock %}
            </div>
            
            <div class="d-flex">
                {% block layout_footer_shipping_logos %}
                    {% for shippingMethod in page.salesChannelShippingMethods %}
                        {% block layout_footer_shipping_logo %}
                            {% if shippingMethod.media %}
                                <div class="footer-logo is-shipping">
                                    {% sw_thumbnails 'footer-shipping-image-thumbnails' with {
                                        media: shippingMethod.media,
                                        sizes: {
                                            'default': '100px'
                                        },
                                        attributes: {
                                            'class': 'img-fluid footer-logo-image',
                                            'alt': (shippingMethod.media.translated.alt ?: shippingMethod.translated.name),
                                            'title': (shippingMethod.media.translated.title ?: shippingMethod.translated.name)
                                        }
                                    } %}
                                </div>
                            {% endif %}
                        {% endblock %}
                    {% endfor %}
                {% endblock %}
            </div>
        </div>
    {% endblock %}
    
    {% block layout_footer_bottom %}
        <div class="footer-bottom">
            {% block layout_footer_service_menu %}
            {% endblock %}

            {% block layout_footer_vat %}
            {% endblock %}

            {% block layout_footer_copyright %}
                <div class="footer-copyright text-center">
                    {{ "footer.copyrightInfo"|trans|sw_sanitize }}
                </div>
            {% endblock %}
        </div>
    {% endblock %}
{% endblock %}
